| DocBook: The Definitive Guide 2.0.17 (Alpha)

# paramdef

$Revision$

$Date$

paramdef — Information about a function parameter in a programming language

## Synopsis

### Mixed Content Model

    paramdef ::=
    (#PCDATA|initializer|type|replaceable|parameter|funcparams)*

### Attributes

Common attributes

Name | Type | Default

choice

Enumeration:
opt
req

None

## Description

In the syntax summary for a function in a programming language, `ParamDef` provides the description of a parameter to the function. Typically, this includes the data type of the parameter and its name. For parameters that are pointers to functions, it also includes a summary of the nested parameters.

Within the `ParamDef`, the parameter name is identified with `Parameter`, and the rest of the content is assumed to be the data type.

In the following definition, `str` is the name of the parameter and char * is its type:

    <paramdef>char *<parameter>str</parameter></paramdef>

Sometimes a data type requires punctuation on both sides of the parameter. For example, the `a` parameter in this definition is an array of char *:

    <paramdef>char *<parameter>a</parameter>[]</paramdef>

### Processing expectations

Formatted inline. For a complete description of the processing expectations, see `FuncSynopsis`.

### Parents

These elements contain paramdef: `funcprototype`.

### Children

The following elements occur in paramdef: `funcparams`, `initializer`, `parameter`, `replaceable`, `type`.

## See Also

`funcdef`, `funcparams`, `funcprototype`, `funcsynopsisinfo`, `function`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

    <!DOCTYPE funcsynopsis PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <funcsynopsis>
    <funcprototype>
      <funcdef>int <function>max</function></funcdef>
      <paramdef>int <parameter>int1</parameter></paramdef>
      <paramdef>int <parameter>int2</parameter></paramdef>
    </funcprototype>
    </funcsynopsis>

`int max(` | int1, |
| int2`)`; |

`int int1`;
`int int2`;

For additional examples, see also `funcparams`, `funcsynopsis`, `refentry`.

para |  | parameter

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.